wreport::bulletin::Bitmaps Struct Reference

## Public Member Functions

| Bitmaps (const Bitmaps &)=delete
Bitmaps & | operator= (const Bitmaps &)=delete
void | define (const Var &bitmap, const Subset &subset)
void | define (const Var &bitmap, const Subset &subset, unsigned anchor_point)
void | reuse_last ()
void | discard_last ()
unsigned | next ()
| Return the next variable offset for which the bitmap reports that data is present.
bool | active () const
| Return true if there is an active bitmap.

## Data Fields

Varcode | pending_definitions = 0
| Nonzero if a Data Present Bitmap is expected.
Bitmap * | current = nullptr
| Currently active bitmap.
Bitmap * | last = nullptr
| Last bitmap used.

The documentation for this struct was generated from the following file:

- bitmaps.h